import React from 'react';
import { ButtonProps } from '../button.d';
/**
 * @param {ButtonProps} props
 * @returns Button component
 * @description This component is used to render a button
 * @example <Button color="primary" size="medium" onClick={handleClick}>Click Me</Button>
 */
export declare const Button: React.FC<ButtonProps>;
